%define name 	parcellite
%define oversion 1.1.7
%define version 1.1.8
%define release %mkrel 2

Summary: 	Parcellite (Parcelle Lite) is a lightweight GTK+ clipboard manager
Summary(de):    Parcellite (Parcelle Lite) ein leichter GTK+ Zwischenablagenmanager
Name: 		%name
Version:	%version
Release: 	%release
License: 	GPLv3+
Group: 		Graphical desktop/GNOME
URL: 		http://code.google.com/p/xyhthyx/
Source0:	%{name}-%{oversion}.tar.xz
Patch0:         parcellite-1.1.7-issue-107.patch
Patch1:         parcellite-1.1.7-issue-109.patch
Patch2:         parcellite-1.1.7-issue-108.patch
Patch3:         parcellite-1.1.7-update-russian-translation.patch
Patch4:         parcellite-1.1.7-fix-case-sensitive-search.patch
Patch5:         parcellite-1.1.7-issue-111.patch

BuildRoot: 	%_tmppath/%{name}-%{version}-buildroot
#---------------------------------------
BuildRequires:  gettext-devel
BuildRequires:  perl-XML-Parser
BuildRequires:  %{_lib}gtk+2.0_0-devel
BuildRequires:	glib2-devel
BuildRequires:	pango-devel
BuildRequires:	libx11-devel
#--------------------------------------
Requires:        %{_lib}gtk+2.0_0
Obsoletes:	%name < %version


%description
Parcellite (Parcelle Lite) is a lightweight GTK+ clipboard manager. This is
a stripped down, basic-features-only version of Parcelle with a small memory
footprint for those who like simplicity.

#german
%description -l de
Dies ist eine abgespeckte (enthält nur die Grundfunktionen) Version von Parcelle 
mit einem kleinen Speicher Abbild für diejenigen, die die Einfachheit mögen. 


%prep
%setup -q -n %{name}-%{oversion}

rm -rf autom4te.cache */*~ || :
%patch0 -p0 -b .issue107
%patch1 -p0 -b .issue109
%patch2 -p0 -b .issue108
%patch3 -p0 -b .update-russian-translation
%patch4 -p0 -b .fix-case-sensitive-search
%patch5 -p0 -b .issue111

%build
export LDFLAGS="$LDFLAGS -lgio-2.0"
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

desktop-file-install \
	--add-only-show-in="LXDE;MATE;XFCE" \
	--dir=%{buildroot}%{_sysconfdir}/xdg/autostart/ \
		%{buildroot}%{_sysconfdir}/xdg/autostart/%{name}-startup.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README ChangeLog TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_sysconfdir}/xdg/autostart/%{name}-startup.desktop
%{_mandir}/man1/%{name}.1*
%{_datadir}/pixmaps/*


%changelog
* Wed Sep 10 2014 bb <bb> 1.1.8-2pclos2014
- back down to 1.1.7 plus fedora patches as
- clear does not work in 1.1.8

* Mon Jul 14 2014 ghostbunny <ghostbunny at gmx dot de> 1.1.8-1pclos2014
- 1.1.8
- add gio LDFLAGS seems missing on 32bit

* Thu Nov 07 2013 ghostbunny <ghostbunny at gmx dot de> 1.1.7-1pclos2013
- 1.1.7

* Mon Jul 29 2013 Texstar <texstar at gmail.com> 1.1.5-2pclos2013
- add mate to autostart 

* Thu Jul 25 2013 Texstar <texstar at gmail.com> 1.1.5-1pclos2013
- update

* Sun Jan 27 2013 daniel <meisssw01 at gmail.com> 1.1.4-1leiche2013
- upstream tarball

* Mon Jan 21 2013 daniel <meisssw01 at gmail.com> 1.1.3-1leiche2013
- upstream tarball

* Thu Jul 30 2011 leiche <meisssw01 at gmail.com> 1.0.2rc2leiche2011
- 1.0.2rc2

* Thu Dec 30 2010 leiche <meisssw01 at aol.com> 0.9.3-1leiche2010
- 0.9.3
- fix german synaptic description

* Mon Oct 18 2010 Texstar <texstar at gmail.com> 0.9.2-3pclos2010
- add back menu but set for nodisplay

* Thu Oct 14 2010 Texstar <texstar at gmail.com> 0.9.2-2pclos2010
- exclude desktop file doesnt need to be in menu

* Fri Jan 01 2010 slick50 <lxgator@gmail.com> 0.9.2-1pclos2010
- 0.9.2

* Mon Oct 05 2009 Neal <nealbrks0@gmail.com> 0.9.1-2pclos2010
- gcc update

* Tue Aug 04 2009 Anikan <mamifer0 at msn dot com> 0.9.1-1pclos2009
- new version

* Fri Dec 05 2008 don_crissti <don_crissti@gmx.com> 0.9-1pclos2007
- new version

* Sat May 03 2008 don_crissti <don_crissti@gmx.com> 0.8-1pclos2007
- new version
- dropped patch0 - fixed upstream
- trimmed the spec, changed Group

* Sat May 03 2008 don_crissti <don_crissti@gmx.com> 0.7-1pclos2007
- version 0.7

* Fri Feb 29 2008 don_crissti <don_crissti@gmx.com> 0.6.1-1pclos2007
- Initial build.



